Package Details: metis4 4.0.3-2

Git Clone URL: https://aur.archlinux.org/metis4.git (read-only)
Package Base: metis4
Description: METIS is a set of serial programs for partitioning graphs, partitioning finite element meshes, and producing fill reducing orderings for sparse matrices.
Upstream URL: http://glaros.dtc.umn.edu/gkhome/metis/metis/overview
Licenses: custom
Submitter: bchretien
Maintainer: bchretien
Last Packager: bchretien
Votes: 3
Popularity: 0.000061
First Submitted: 2013-03-22 11:41
Last Updated: 2016-03-10 01:52

Dependencies (4)

Sources (4)

Latest Comments

bchretien commented on 2016-03-10 01:53

@sarah.j: updated, thanks!

sarah.j commented on 2016-03-09 16:55

Hi, it seems that there is an error in the PKGBUILD. It should be "license = ("custom")" instead of "license = custom". Otherwise there is an error and the package cannot be compiled.

bchretien commented on 2013-11-26 22:17

@mickele: thanks for the modified PKGBUILD. I checked your modifications and it seems fine for me. Please keep me posted if something else goes wrong ;-)

mickele commented on 2013-11-26 21:51

Hi, I'm the maintainer of code-aster on AUR (http://aur.archlinux.org/packages/aster/).
While updating code-aster I had two problems with metis. The first one is that code-aster needs onmetis, pmetis and kmetis from metis4.
The second is that the last version of code-aster uses metis4, but if you build code-aster with mumps support this needs metis5.
So I modified your PKGBUILD and other files so that:
- it builds the programs onmetis, pmetis, kmetis etc.
- it is compatible with metis5 (I added a "-4" suffix)
I sent vua mail this modified version.
Now we have two options: you can adopt my modified version of the package; I can create a new version of metis4 (something like metis4-full).
Probably the first option is the best, but what do you think about it?